Skip to main content
`Ctrl`+`K`

# PetscDAEnsembleSetMember

Overwrites an ensemble member with user-provided state data.

## Synopsis

    PetscErrorCode PetscDAEnsembleSetMember(PetscDA da, PetscInt member_idx, Vec member)

Collective

## Input Parameters

- da - the `PetscDA` context

- member_idx - index of the entry to modify

- member - vector containing the new state values

## See Also

PetscDA: Data Assimilation, `PetscDA`, `PETSCDAETKF`, `PETSCDALETKF`, `PetscDAEnsembleGetMember()`

## Level

intermediate

## Location

src/ml/da/impls/ensemble/daensemble.c

Index of all PetscDA routines
Table of Contents for all manual pages
Index of all manual pages